Your submission was sent successfully! Close

CVE-2018-9415

Published: 3 July 2018

In driver_override_store and driver_override_show of bus.c, there is a possible double free due to improper locking. This could lead to local escalation of privilege with System execution privileges needed. User interaction is not needed for exploitation. Product: Android Versions: Android kernel Android ID: A-69129004 References: Upstream kernel.

From the Ubuntu Security Team

It was discovered that a race condition existed in the ARM Advanced Microcontroller Bus Architecture (AMBA) driver in the Linux kernel that could result in a double free. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code.

Notes

AuthorNote
sbeattie
the fix to drivers/pci/pci-sysfs.c in the first patchwork
link may be needed, too.
Priority

Medium

CVSS 3 base score: 7.8

Status

Package Release Status
linux
Launchpad, Ubuntu, Debian
artful Ignored
(reached end-of-life)
bionic
Released (4.15.0-33.36)
cosmic Not vulnerable
(4.17.0-6.7)
precise Not vulnerable

trusty Not vulnerable

upstream
Released (4.17~rc3)
xenial
Released (4.4.0-128.154)
Patches:
Introduced by

3cf385713460eb2bb4cb7ceb8ed89833b00b594b

Fixed by 6a7228d90d42bcacfe38786756ba62762b91c20a
linux-aws
Launchpad, Ubuntu, Debian
artful Does not exist

bionic
Released (4.15.0-1020.20)
cosmic Not vulnerable
(4.15.0-1020.20)
precise Does not exist

trusty
Released (4.4.0-1023.23)
upstream
Released (4.17~rc3)
xenial
Released (4.4.0-1061.70)
linux-azure
Launchpad, Ubuntu, Debian
artful Does not exist

bionic
Released (4.15.0-1022.23)
cosmic Not vulnerable
(4.18.0-1003.3)
precise Does not exist

trusty Not vulnerable
(4.15.0-1023.24~14.04.1)
upstream
Released (4.17~rc3)
xenial
Released (4.15.0-1022.22~16.04.1)
linux-azure-edge
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Not vulnerable
(4.18.0-1003.3~18.04.1)
cosmic Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.17~rc3)
xenial
Released (4.15.0-1022.23)
linux-euclid
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.17~rc3)
xenial Ignored
(was needed ESM criteria)
linux-flo
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

precise Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
upstream
Released (4.17~rc3)
xenial Ignored
(abandoned)
linux-gcp
Launchpad, Ubuntu, Debian
artful Does not exist

bionic
Released (4.15.0-1018.19)
cosmic Not vulnerable
(4.15.0-1018.19)
precise Does not exist

trusty Does not exist

upstream
Released (4.17~rc3)
xenial
Released (4.15.0-1018.19~16.04.2)
linux-gke
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.17~rc3)
xenial Ignored
(end-of-life)
linux-goldfish
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

precise Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
upstream
Released (4.17~rc3)
xenial Ignored
(end-of-life)
linux-grouper
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

precise Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
upstream
Released (4.17~rc3)
xenial Does not exist

linux-hwe
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Not vulnerable

cosmic Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.17~rc3)
xenial
Released (4.15.0-33.36~16.04.1)
linux-hwe-edge
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Not vulnerable
(4.18.0-11.12~18.04.1)
cosmic Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.17~rc3)
xenial
Released (4.15.0-33.36~16.04.1)
linux-kvm
Launchpad, Ubuntu, Debian
artful Does not exist

bionic
Released (4.15.0-1020.20)
cosmic Not vulnerable
(4.15.0-1020.20)
precise Does not exist

trusty Does not exist

upstream
Released (4.17~rc3)
xenial
Released (4.4.0-1027.32)
linux-lts-trusty
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

precise Not vulnerable

trusty Does not exist

upstream
Released (4.17~rc3)
xenial Does not exist

linux-lts-utopic
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

precise Does not exist

trusty Does not exist
(trusty was ignored [out of standard support])
upstream
Released (4.17~rc3)
xenial Does not exist

linux-lts-vivid
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

precise Does not exist

trusty Does not exist
(trusty was ignored [out of standard support])
upstream
Released (4.17~rc3)
xenial Does not exist

linux-lts-wily
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

precise Does not exist

trusty Does not exist
(trusty was ignored [out of standard support])
upstream
Released (4.17~rc3)
xenial Does not exist

linux-lts-xenial
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

precise Does not exist

trusty
Released (4.4.0-128.154~14.04.1)
upstream
Released (4.17~rc3)
xenial Does not exist

linux-maguro
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

precise Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
upstream
Released (4.17~rc3)
xenial Does not exist

linux-mako
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

precise Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
upstream
Released (4.17~rc3)
xenial Ignored
(abandoned)
linux-manta
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

precise Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
upstream
Released (4.17~rc3)
xenial Does not exist

linux-oem
Launchpad, Ubuntu, Debian
artful Does not exist

bionic
Released (4.15.0-1017.20)
cosmic Not vulnerable
(4.15.0-1017.20)
precise Does not exist

trusty Does not exist

upstream
Released (4.17~rc3)
xenial Ignored
(was needed now end-of-life)
linux-raspi2
Launchpad, Ubuntu, Debian
artful Ignored
(reached end-of-life)
bionic
Released (4.15.0-1021.23)
cosmic Not vulnerable
(4.15.0-1021.23)
precise Does not exist

trusty Does not exist

upstream
Released (4.17~rc3)
xenial
Released (4.4.0-1091.99)
linux-snapdragon
Launchpad, Ubuntu, Debian
artful
Released (4.4.0-1094.99)
bionic Not vulnerable

cosmic Does not exist

precise Does not exist

trusty Does not exist

upstream
Released (4.17~rc3)
xenial
Released (4.4.0-1094.99)